> For the complete documentation index, see [llms.txt](https://docs.blend.capital/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blend.capital/tech-docs/core-contracts/lending-pool/interest-management.md).

# Interest Management

The Pool contract is used to distribute the backstop's share of pool interest to the pool's backstop depositor

## Creating Interest Auctions

Interest is distributed to backstop depositors through a backstop interest auction. These are similar to Liquidation Auctions except they sell interest instead of collateral and buy backstop LP tokens instead of debt repayment. The backstop interest auction is created by calling the `create_interest_auction()` function and specifying which assets interest should be distributed for. All interest for these assets will be put up for auction and 140% of their value in backstop tokens will be requested in return.

Similar to liquidation auctions - the percent of posted interest transferred to the liquidator increases by .05% every block for the first 200 blocks - and the percent of posted backstop tokens transferred to the pool decreases by .05% every block for the second 200 blocks.

## Filling Interest Auctions

Backstop interest auctions are filled by calling the `submit()` function with a `fill_interest_auction` `Request`.

When an interest auction is filled, the accrued interest is transferred to the liquidator - and backstop tokens used to fill the auction are transferred to the pool and donated to the backstop. This increases the value of the pool's backstop deposits.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.blend.capital/tech-docs/core-contracts/lending-pool/interest-management.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
